Skip to main content

List all available LLM models supported by the Agentic Platform in NetApp Console local deployment

GET /supportedModels

Returns a list of all available Large Language Model (LLM) models that can be used with the Agentic Platform.

Supports filtering by provider, modelType, and other fields.

Parameters

Name Type In Required Description

filter

string

query

False

Specifies which fields should be matched in order to return a resource when listing supported models.

Supported operators:

  • eq - Equality

  • ne - Not equal

  • lt/gt - Less than or greater than

  • lte/gte - Less than or equal to or greater than or equal to

  • in - Membership in a list

Expressions can be chained with and or or to build complex filters. Parentheses can be used for grouping and precedence control.

Filterable fields: provider, modelType, name, contextWindow, maxOutputTokens, and isEnabled

URL example: "filter=provider%20eq%20%27openai%27"

URL example: "filter=modelType%20eq%20%27chat%27%20and%20provider%20eq%20%27anthropic%27"

URL example: "filter=contextWindow%20gte%20128000"

OpenAPI examples: "provider eq 'openai'", "modelType eq 'chat' and provider eq 'anthropic'"

count

boolean

query

False

Indicates if the total number of resources should be returned.

Response

Status: 200, Successfully retrieved the list of models.
Name Type Required Description

count

integer

False

Total number of models matching the query.

items

array[supportedModel_1.0_get_response_body]

True

JSON array containing the resource objects returned for the current page of the collection.

metadata

type_bxp_metadata_list

False

Metadata associated with a list of resources.

type

string

True

Media type of the resource. Defined values are:

  • "application/vnd.netapp.bxp.supportedModels"

version

string

True

Version of the resource. Defined values are:

  • "1.0"

Example response
{
  "count": 10,
  "items": [
    {
      "contextWindow": 128000,
      "description": "OpenAI GPT-4o multimodal model with vision and audio capabilities",
      "id": "666a3f38-d4fa-5b62-a391-a69029758d32",
      "isEnabled": true,
      "maxOutputTokens": 16384,
      "metadata": {
        "createdBy": "666a3f38-d4fa-5b62-a391-a69029758d32",
        "creationTimestamp": "2022-10-06T20:58:16.305662Z",
        "labels": [
          {
            "name": "string",
            "value": "string"
          }
        ],
        "modificationTimestamp": "2022-10-06T20:58:16.305662Z",
        "modifiedBy": "666a3f38-d4fa-5b62-a391-a69029758d32"
      },
      "modelType": "chat",
      "name": "gpt-4o",
      "provider": "openai",
      "type": "application/vnd.netapp.bxp.supportedModel",
      "version": "1.0"
    }
  ],
  "metadata": {
    "createdBy": "666a3f38-d4fa-5b62-a391-a69029758d32",
    "creationTimestamp": "2022-10-06T20:58:16.305662Z",
    "labels": [
      {
        "name": "string",
        "value": "string"
      }
    ],
    "modificationTimestamp": "2022-10-06T20:58:16.305662Z",
    "modifiedBy": "666a3f38-d4fa-5b62-a391-a69029758d32"
  },
  "type": "application/vnd.netapp.bxp.supportedModels",
  "version": "1.0"
}

Response

Status: 401, Unauthorized - authentication required.
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Response

Status: 403, Forbidden - insufficient permissions.
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Response

Status: 500, Internal server error.
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Error

Status: 400, Bad request - invalid query parameters.
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Definitions

See Definitions

type_bxp_label

Name/value pair.

Name Type Required Description

name

string

True

Name of the label.

value

string

True

Value of the label.

type_bxp_metadata

Metadata associated with the resource.

Name Type Required Description

createdBy

string

False

UUID of the user who created the resource.

creationTimestamp

string

False

Resource creation date.

labels

array[type_bxp_label]

False

Array of name/value pairs representing additional information for the resource.

modificationTimestamp

string

False

Resource modification date.

modifiedBy

string

False

UUID of the user who modified the resource.

supportedModel_1.0_get_response_body

Name Type Required Description

contextWindow

integer

False

Maximum context window size, in tokens.

description

string

False

Human-readable description of the model. Defined values are:

  • Minimum length: 1

  • Maximum length: 1024

id

string

True

Globally unique identifier of the model. Defined values are:

  • Conforms to the UUIDv4 Schema

isEnabled

boolean

False

Indicates whether this model is currently enabled for use.

maxOutputTokens

integer

False

Maximum number of output tokens the model can generate.

metadata

type_bxp_metadata

False

Metadata associated with the resource.

modelType

string

False

The type or category of the model. Defined values are:

  • "chat" - Chat completion models

  • "completion" - Text completion models

  • "embedding" - Embedding models

  • "image" - Image generation models

  • "audio" - Audio transcription/generation models

  • "multimodal" - Models supporting multiple input/output types

name

string

True

Name of the LLM model. Defined values are:

  • Minimum length: 1

  • Maximum length: 254

provider

string

False

The LLM provider that offers this model. Defined values are:

  • "openai" - OpenAI API

  • "anthropic" - Anthropic Claude API

  • "commonOpenAI" - Generic OpenAI-compatible API

type

string

True

Media type of the resource. Defined values are:

  • "application/vnd.netapp.bxp.supportedModel"

version

string

True

Version of the resource. Defined values are:

  • "1.0"

type_bxp_metadata_list

Metadata associated with a list of resources.

Name Type Required Description

count

number

False

createdBy

string

False

UUID of the user who created the resource.

creationTimestamp

string

False

Resource creation date.

labels

array[type_bxp_label]

False

Array of name/value pairs representing additional information for the resource.

modificationTimestamp

string

False

Resource modification date.

modifiedBy

string

False

UUID of the user who modified the resource.

invalidParams

Name Type Required Description

name

string

True

Name of the invalid parameter.

reason

string

True

Reason why the parameter is invalid.